curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}一連のコンタクトの全てのEメールの配信を停止します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/unsubscribe-all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"subscriberIdString": "<string>",
"statuses": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
配信カテゴリーのチャネルタイプ。現在のところ、サポートされているチャネルタイプは「EMAIL」のみです。
EMAIL 応答に更新された配信登録ステータスの詳細を含めるには「true」に設定します。このパラメーターを含めていないと、空の応答になります。
バッチ処理の入力を表す文字列のリスト。
successful operation
一括オプトアウト処理が完了した日時。
全てのコミュニケーション処理からの一括オプトアウトの結果を含む配列。
Show child attributes
一括オプトアウト処理が始まった日時。
一括オプトアウト処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 一括オプトアウト処理中に発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
関連するリソースやドキュメントにリンクしているURLのコレクション。
Show child attributes
一括オプトアウト中に発生したエラー数の合計。
一括オプトアウトのリクエストが行われた日時。